aboutsummaryrefslogtreecommitdiff
path: root/bin/wintext
diff options
context:
space:
mode:
Diffstat (limited to 'bin/wintext')
-rwxr-xr-xbin/wintext16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/wintext b/bin/wintext
new file mode 100755
index 00000000..93fe40ea
--- /dev/null
+++ b/bin/wintext
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+case "$winid" in
+[0-9]*)
+ 9p read acme/$winid/body
+ exit 0
+esac
+
+case "$text9term" in
+unix!*)
+ dial -e $text9term </dev/null
+ exit 0
+esac
+
+echo 'no running window found' 2>&1
+exit 1